/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

--- --- --- */

class EoWxModernAssault extends xBombingRun;

defaultproperties
{
     GameName="EoW:Modern Assault"
     Acronym="EoGK"
     BeaconName="EoGK"
     MapPrefix="EoGK"
     OtherMesgGroup="GateKeeper"
     
     GoalScore=12
     bTeamScoreRounds=True
     bScoreTeamKills=False
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Elements of War: Modern Assault --- By Curtis Turner, aka <IceIYIaN>"
     
     // HUDType="EoW.EoWxHudGateKeeper"
     HUDType="XInterface.HudCTeamDeathMatch"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListTeamDeathMatch"
     ScreenShotName="UT2004Thumbnails.ShotModernAssault"
     
     DefaultPlayerClassName="EoW.eAssaultxPawn"
     PlayerControllerClassName="EoW.eAssaultxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=Class'UnrealGame.BombingRunTeamAI'
     TeamAIType(1)=Class'UnrealGame.BombingRunTeamAI'
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000

     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
     
     
     
     // GameType Stuff
     NewRoundSound=Sound'AnnouncerMain.NewRoundIn'
     ResetTimeDelay=4 // Cuts off announcer if below(6?), larger adds more restart delay - Default is five(11)
     
     BRHints(0)="Elements of War was created by Curtis Turner <IceIYIaN>."
     BRHints(1)="You can play Elements of War in FPV(First Person View) or TDV(Top/Diagonal View)."
}
