/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

Notes:
- Team 0 = Red
- Team 1 = Blue

--- --- --- */

class UT2DxBombingRun extends xBombingRun;

defaultproperties
{
     GameName="UT2D:Bombing Run"
     Acronym="BR"
     BeaconName="BR"
     MapPrefix="BR"
     OtherMesgGroup="BombingRun"
     
     GoalScore=12
     bTeamScoreRounds=True
     bScoreTeamKills=False
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Bombing Run in 2D View"

     HUDType="EoW.e2DxHud"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListBombingRun"
     // ScreenShotName="UT2004Thumbnails.ShotGateKeeper"
     
     DefaultPlayerClassName="EoW.UT2DxPawn"
     PlayerControllerClassName="EoW.UT2DxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=Class'UnrealGame.BombingRunTeamAI'
     TeamAIType(1)=Class'UnrealGame.BombingRunTeamAI'
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000
     
     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
     
     
     
     // GameType Stuff
     NewRoundSound=Sound'AnnouncerMain.NewRoundIn'
     ResetTimeDelay=4 // Cuts off announcer if below(6?), larger adds more restart delay - Default is five(11)
     
     BRHints(0)=""
     BRHints(1)=""
}
