/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

Notes:
- Team 0 = Red
- Team 1 = Blue

--- --- --- */

class UT2DxDeathMatch extends xTeamGame;

defaultproperties
{
     GameName="UT2D:Death Match"
     Acronym="DM"
     BeaconName="DM"
     MapPrefix="DM"
     OtherMesgGroup="DeathMatch"
     
     GoalScore=64
     bTeamScoreRounds=True
     bScoreTeamKills=True
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Death Match in 2D View"

     HUDType="EoW.e2DxHud"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListBombingRun"
     // ScreenShotName="UT2004Thumbnails.ShotBattleGrounds"
     
     DefaultPlayerClassName="EoW.UT2DxPawn"
     PlayerControllerClassName="EoW.UT2DxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=Class'UnrealGame.TeamAI'
     TeamAIType(1)=Class'UnrealGame.TeamAI'
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000
     
     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
     
     
     
     TGHints(0)=""
     TGHints(1)=""
     TGHints(2)=""
     TGHints(3)=""
     TGHints(4)=""
     TGHints(5)=""
     TGHints(6)=""
}
