/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

Notes:
- Team 0 = Red
- Team 1 = Blue

--- --- --- */

class e2DxBattleGrounds extends xTeamGame;

defaultproperties
{
     GameName="e2D:Battle Grounds"
     Acronym="EoBG"
     BeaconName="EoBG"
     MapPrefix="EoBG"
     OtherMesgGroup="BattleGrounds"
     
     GoalScore=64
     bTeamScoreRounds=True
     bScoreTeamKills=True
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Elements of War - Battle Grounds in 2D View"

     HUDType="EoW.e2DxHud"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListBombingRun"
     ScreenShotName="UT2004Thumbnails.ShotBattleGrounds"
     
     DefaultPlayerClassName="EoW.e2DxPawn"
     PlayerControllerClassName="EoW.e2DxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=Class'UnrealGame.TeamAI'
     TeamAIType(1)=Class'UnrealGame.TeamAI'
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000
     
     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
     
     
     
     TGHints(0)="Elements of War was created by Curtis Turner <IceIYIaN>."
     TGHints(1)="You can play Elements of War in FPV(First Person View) or TDV(Top/Diagonal View)."
     TGHints(2)=""
     TGHints(3)=""
     TGHints(4)=""
     TGHints(5)=""
     TGHints(6)=""
}
