/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

// Battle Grounds:
// - Round based Team Death Match

Gate Keeper:
- Bombing Run - Round Based Later (Rem, I'm just an 1337 n00b :))
     Race:
     - Ball and goals are next to each other, everyone else is spawned somewhat far from them.
     It's almost like single player platform games I guess... :) lol, what a twist :)
     LMAO, I could even make a small wall so players can see if they're winning or not, hahah :D
     
     Escape:
     - Ball starts near one team, they have to make it to their goal near the other team.

     Rescue / Thief:
     - Think of Escape, except you don't start with the ball.
     Blah Blah think of hostage rescue. That or CTF with only one flag(think of CTF and not BR).

     Hide and Seek:
     - One team spawns with the ball, the other team spawns with their goal.
     Doubt I'll do any of these, however.

Notes:
- Team 0 = Red
- Team 1 = Blue

--- --- --- */

class e2DxGateKeeper extends xBombingRun;

defaultproperties
{
     GameName="e2D:Gate Keeper"
     Acronym="EoGK"
     BeaconName="EoGK"
     MapPrefix="EoGK"
     OtherMesgGroup="GateKeeper"
     
     GoalScore=12
     bTeamScoreRounds=True
     bScoreTeamKills=False
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Elements of War - Gate Keeper in 2D View"

     HUDType="EoW.e2DxHud"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListBombingRun"
     ScreenShotName="UT2004Thumbnails.ShotGateKeeper"
     
     DefaultPlayerClassName="EoW.e2DxPawn"
     PlayerControllerClassName="EoW.e2DxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=Class'UnrealGame.BombingRunTeamAI'
     TeamAIType(1)=Class'UnrealGame.BombingRunTeamAI'
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000
     
     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
     
     
     
     // GameType Stuff
     NewRoundSound=Sound'AnnouncerMain.NewRoundIn'
     ResetTimeDelay=4 // Cuts off announcer if below(6?), larger adds more restart delay - Default is five(11)
     
     BRHints(0)="Elements of War was created by Curtis Turner <IceIYIaN>."
     BRHints(1)="You can play Elements of War in FPV(First Person View) or TDV(Top/Diagonal View)."
}
