/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

--- --- --- */

class EoWxDragonPawn extends xPawn;

defaultproperties
{
     // ControllerClass=XGame.xBot
     
     PlacedCharacterName="Death"
     PlacedFemaleCharacterName="Life"
     
     // Doesn't show the player's Name(Life) by the pawn
     // For some reason it doesn't work with bots. Not sure about player controlled pawns though
     bNoTeamBeacon=True  // Never display team beacon for this pawn

     // MOST POWERFUL FIRST!!!
     
     RequiredEquipment(0)="EoW.EoWxHandsofChaos"
     RequiredEquipment(1)="EoW.EoWxChaosBeam"
     RequiredEquipment(2)="EoW.EoWxChaosSpere"
     RequiredEquipment(3)="EoW.EoWxChaosHands"
     RequiredEquipment(4)="EoW.EoWxChaosShield"
     // RequiredEquipment(0)="EoW.EoWxAxe"
     // RequiredEquipment(1)="EoW.EoWxShieldandSword"
     // RequiredEquipment(2)="EoW.EoWxSword"
     // RequiredEquipment(5)="EoW.EoWxRocketLauncher"
     // RequiredEquipment(6)="EoW.EoWxFlakCannon"
     // RequiredEquipment(7)="EoW.EoWxLinkGun"
     // RequiredEquipment(8)="EoW.EoWxShockRifle"
     // RequiredEquipment(9)="EoW.EoWxBioRifle"

     
     
     // SEE!!!
     // RequiredEquipment(0)="XWeapons.SniperRifle"
     // RequiredEquipment(1)="XWeapons.RocketLauncher"
     // RequiredEquipment(2)="XWeapons.FlakCannon"
     // RequiredEquipment(3)="XWeapons.Minigun"
     // RequiredEquipment(4)="XWeapons.LinkGun"
     // RequiredEquipment(5)="XWeapons.ShockRifle"
     // RequiredEquipment(6)="XWeapons.BioRifle"
     // RequiredEquipment(7)="XWeapons.AssaultRifle"
     // RequiredEquipment(8)="XWeapons.ShieldGun"
     
     GruntVolume=0.340000
     FootstepVolume=0.340000
     
     GroundSpeed=440.000000      // 440
     WaterSpeed=320.000000       // 220
     AirSpeed=640.000000         // 440
     JumpZ=420.000000            // 340
     LadderSpeed=320.000000      // 200

     AirControl=0.800000         // .35
     WalkingPct=0.640000         // .4
     CrouchedPct=0.580000        // .5

     DodgeSpeedFactor=1.500000   // 1.5
     DodgeSpeedZ=210.000000        // 210

     bCanDoubleJump=True
     MultiJumpRemaining=1
     MaxMultiJump=1

     bCanWallDodge=True
     bCanDodgeDoubleJump=True
}
