class EoWxAxe extends Weapon;
// config(user);

#exec OBJ LOAD FILE=InterfaceContent.utx

#exec OBJ LOAD FILE=..\Sounds\WeaponSounds.uax
#exec OBJ LOAD FILE=XEffectMat.utx

simulated function DoAutoSwitch()
{
}

defaultproperties
{
     ItemName="Axe"
     bMeleeWeapon=True
     bShowChargingBar=False
     bCanThrow=False

     FireModeClass(0)=Class'EoW.EoWxAxeFire'
     FireModeClass(1)=Class'EoW.EoWxAxeAltFire'

     Priority=22.000000
     DefaultPriority=22.000000
     InventoryGroup=1 // Melee // Ranged // Spell // Items
     GroupOffset=4 // First is always second(UT2004 Weapons)

     AIRating=20.000000
     CurrentRating=20.000000
     
     HudColor=(B=255,G=255,R=255) // Text
     // What the weapon icon texture is(package/where in actual texture)
     // IconMaterial=Texture'InterfaceContent.HUD.SkinA'
     // IconCoords=(X1=322,Y1=190,X2=444,Y2=280)
     
     SelectSound=Sound'WeaponSounds.Minigun.SwitchToMiniGun'
     SelectForce="SwitchToShockRifle"
     
     PickupClass=Class'EoW.EoWxAxePickup'
     SelectAnim="Pickup"
     PutDownAnim="PutDown"
     DisplayFOV=60.000000
     
     AttachmentClass=Class'EoW.EoWxAxeAttach'
     
     Mesh=SkeletalMesh'Weapons.ShockRifle_1st'
     Skins(0)=Texture'WeaponSkins.Skins.ShockTex0'
     Skins(1)=Texture'WeaponSkins.Skins.ShockTex0'
     Skins(2)=Shader'WeaponSkins.ShockLaser.LaserShader'
     UV2Texture=Shader'XGameShaders.WeaponShaders.WeaponEnvShader'
     
     LightType=LT_Steady
     LightEffect=LE_NonIncidence
     LightBrightness=150.000000
     LightRadius=4.000000
     LightHue=200
     LightSaturation=70
     LightPeriod=3
     
     // Blah
     EffectOffset=(X=65.000000,Y=14.000000,Z=-10.000000)
     SmallViewOffset=(X=2.000000,Y=9.000000,Z=-8.000000)
     CenteredOffsetY=-8.000000
     CenteredYaw=-500
     
     PlayerViewOffset=(X=-10.000000,Y=3.000000,Z=-2.000000)
     PlayerViewPivot=(Pitch=1000,Yaw=-800,Roll=-500)
     BobDamping=1.800000
}
