class EoWxAxeFire extends WeaponFire;

#exec OBJ LOAD FILE=..\Sounds\WeaponSounds.uax

var class<DamageType> DamageType;       // weapon fire damage type (no projectile, so we put this here)

// Changed from ShieldRange
var float MeleeRange;                   // from pawn centre

// var float MinHoldTime;                  // held for this time or less will do minimum damage/force. held for MaxHoldTime will do max
var float MinForce, MaxForce;           // force to other players
var float MinDamage, MaxDamage;         // damage to other players
var float SelfForceScale;               // %force to self (when shielding a wall)
var float SelfDamageScale;              // %damage to self (when shielding a wall)
// var Sound ChargingSound;                // charging sound
// var xEmitter ChargingEmitter;           // emitter class while charging
// var float AutoFireTestFreq;
// var float FullyChargedTime;				// held for this long will do max damage
// var bool bAutoRelease;
// var Pawn AutoHitPawn;
// var float AutoHitTime;

function DoFireEffect()
{
     local Vector HitLocation, HitNormal, StartTrace, EndTrace, X,Y,Z;
     local Rotator Aim;
     local Actor Other;
     local float Damage, Force; // Scale,
     
     Instigator.MakeNoise(1.0);
     Weapon.GetViewAxes(X,Y,Z);
//      bAutoRelease = false;

     
     
// No auto smacking with melee(Shield Gun)
//      if ( (AutoHitPawn != None) && (Level.TimeSeconds - AutoHitTime < 0.15) )
//      {
//           // Other = AutoHitPawn;
//           // HitLocation = Other.Location;
//           // AutoHitPawn = None;
// Copied from Else...
//              StartTrace = Instigator.Location;
//              Aim = AdjustAim(StartTrace, AimError);
//              EndTrace = StartTrace + ShieldRange * Vector(Aim);
//              Other = Trace(HitLocation, HitNormal, EndTrace, StartTrace, true);
//      }
//      else
//      {
     StartTrace = Instigator.Location;
     Aim = AdjustAim(StartTrace, AimError);
     EndTrace = StartTrace + MeleeRange * Vector(Aim);
     Other = Trace(HitLocation, HitNormal, EndTrace, StartTrace, true);
//      }



//      Scale = (FClamp(HoldTime, MinHoldTime, FullyChargedTime) - MinHoldTime) / (FullyChargedTime - MinHoldTime); // result 0 to 1
     Damage = MinDamage; // + Scale * (MaxDamage - MinDamage);
     Force = MinForce; // + Scale * (MaxForce - MinForce);

     Instigator.AmbientSound = None;
//      if (ChargingEmitter != None)
//           ChargingEmitter.mRegenPause = true;

     if ( Other != None && Other != Instigator )
     {
          if ( Pawn(Other) != None )
          {
               Other.TakeDamage(Damage, Instigator, HitLocation, Force*(X+vect(0,0,0.5)), DamageType);
          }
          else
          {
               if (xPawn(Instigator).bBerserk)
				Force *= 2.0;
               Instigator.TakeDamage(SelfDamageScale*Damage, Instigator, HitLocation, -SelfForceScale*Force*X, DamageType);
          }
     }
     
//      SetTimer(0, false);
}

defaultproperties
{
     AmmoClass=Class'EoW.EoWxBlueMana'
     AmmoPerFire=0

     FireSound=SoundGroup'WeaponSounds.Translocator.TranslocatorFire'
     FireForce="ShockRifleFire"
     
     bFireOnRelease=False
     FireRate=1.000
     BotRefireRate=1.200
     AimError=850.000000 // How accurate bots are.
     
     MeleeRange=85.000000
     
     bSplashDamage=False
     bSplashJump=False
     bRecommendSplashDamage=False
     // bTossed=True
     
     MinForce=0.000 // 65000.000000
     MaxForce=0.000 // 100000.000000
     SelfForceScale=0.200000 // Make the dummy know s/he hit the wall

     DamageType=Class'EoW.EoWxAxeDamType'
     MinDamage=50
     MaxDamage=50
     SelfDamageScale=0.000000 // Should make this 999... :)
     
     // bPawnRapidFireAnim=False
     // FireAnim="AltFire"
     // FireAnimRate=1.000000
     // PreFireAnim="Charge"
     // FireLoopAnim="None"
     // FireEndAnim="None"
     // TweenTime=0.000000
     
     // Shock Rifle
     // ShakeRotTime=2.000000
     // ShakeOffsetMag=(X=-8.000000)
     // ShakeOffsetRate=(X=-600.000000)
     // ShakeOffsetTime=3.200000
}
