// Elements of War
class e2DxPawn extends UTPawn
	config(Game)
	dependson(UTWeaponAttachment)
	dependson(UTEmitter)
	dependson(UTFamilyInfo)
	notplaceable;

defaultproperties
{
   ViewPitchMin=0   // -18000.000000
   ViewPitchMax=0   // 18000.000000

   bFixedView=True

   SuperHealthMax=199

   CameraScale=9.000000
   CurrentCameraScale=1.000000
   CameraScaleMin=1.000000       // Was 3
   CameraScaleMax=40.000000

   HeroCameraScale=6.000000
   HeroCameraPitch=6000

   TeamBeaconMaxDist=3000.000000
   TeamBeaconPlayerInfoMaxDist=3000.000000

   DefaultAirControl=0.350000

   bStopOnDoubleLanding=True
   bCanDoubleJump=True
   DodgeSpeed=600.000000
   DodgeSpeedZ=295.000000
   MultiJumpRemaining=1
   MaxMultiJump=1
   MultiJumpBoost=-45
   MaxDoubleJumpHeight=87.000000

   CustomGravityScaling=1.000000

   bCanCrouch=True
   bCanSwim=True
   bCanClimbLadders=True
   bCanStrafe=True
   bCanPickupInventory=True

   Buoyancy=0.990000
   MeleeRange=20.000000
   GroundSpeed=440.000000
   WaterSpeed=220.000000
   AirSpeed=440.000000
   JumpZ=322.000000
   AirControl=0.350000
   WalkingPct=0.400000
   CrouchedPct=0.400000
   MaxFallSpeed=1250.000000
   AIMaxFallSpeedFactor=1.100000

   UnderWaterTime=20.000000
}