/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

Notes:
- Team 0 = Red
- Team 1 = Blue

--- --- --- */

class UT2DxDDom extends xDoubleDom;

defaultproperties
{
     GameName="UT2D:Double Domination"
     Acronym="Dom"
     BeaconName="Dom"
     MapPrefix="Dom"
     OtherMesgGroup="DoubleDom"
     
     // GoalScore=64
     // bTeamScoreRounds=True
     bScoreTeamKills=False
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Double Domination in 2D View"

     HUDType="EoW.e2DxHudDDom"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListDoubleDomination"
     // ScreenShotName="UT2004Thumbnails.ShotEoDom"
     
     DefaultPlayerClassName="EoW.UT2DxPawn"
     PlayerControllerClassName="EoW.UT2DxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=Class'UnrealGame.DOMTeamAI'
     TeamAIType(1)=Class'UnrealGame.DOMTeamAI'
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000
     
     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
}
