/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

Notes:
- Team 0 = Red
- Team 1 = Blue

--- --- --- */

class UT2DxOnslaughtGame extends ONSOnslaughtGame;

defaultproperties
{
     GameName="UT2D:Onslaught"
     Acronym="ONS"
     BeaconName="ONS"
     MapPrefix="ONS"
     OtherMesgGroup="ONS"
     
     // GoalScore=64
     // bTeamScoreRounds=True
     bScoreTeamKills=False
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Onslaught in 2D View"

     HUDType="EoW.e2DxHudONS"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListBombingRun"
     // ScreenShotName="UT2004Thumbnails.ShotEoONS"
     
     DefaultPlayerClassName="EoW.UT2DxPawn"
     PlayerControllerClassName="EoW.UT2DxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=Onslaught.ONSTeamAI
     TeamAIType(1)=Onslaught.ONSTeamAI
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000
     
     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
}
