/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

--- --- --- */

class eAssaultxPawn extends xPawn;

defaultproperties
{
     // ControllerClass=XGame.xBot
     
     PlacedCharacterName="Death"
     PlacedFemaleCharacterName="Life"
     
     // Doesn't show the player's Name(Life) by the pawn
     // For some reason it doesn't work with bots. Not sure about player controlled pawns though
     bNoTeamBeacon=True  // Never display team beacon for this pawn
     
     RequiredEquipment(0)="EoW.EoWxAssaultRifle"
     
     // MOST POWERFUL FIRST!!!
     // RequiredEquipment(0)="EoW.EoWxXxFS"
     // RequiredEquipment(1)="EoW.EoWxXxSB"
     // RequiredEquipment(0)="EoW.EoWxSword"
     // RequiredEquipment(1)="EoW.EoWxChaosBeam"
     // RequiredEquipment(2)="EoW.EoWxChaosSphere"
     // RequiredEquipment(3)="EoW.EoWxAxe"
     // RequiredEquipment(4)="EoW.EoWxChaosHands"
     // RequiredEquipment(5)="EoW.EoWxHandsofChaos"
     // RequiredEquipment(6)="EoW.EoWxShieldandSword"

     // SEE!!!
     // RequiredEquipment(0)="XWeapons.SniperRifle"
     // RequiredEquipment(1)="XWeapons.RocketLauncher"
     // RequiredEquipment(2)="XWeapons.FlakCannon"
     // RequiredEquipment(3)="XWeapons.Minigun"
     // RequiredEquipment(4)="XWeapons.LinkGun"
     // RequiredEquipment(5)="XWeapons.ShockRifle"
     // RequiredEquipment(6)="XWeapons.BioRifle"
     // RequiredEquipment(7)="XWeapons.AssaultRifle"
     // RequiredEquipment(8)="XWeapons.ShieldGun"
     
     GruntVolume=0.200000
     FootstepVolume=0.280000
     
     GroundSpeed=440.000000      // 440
     WaterSpeed=280.000000       // 220
     AirSpeed=440.000000         // 440
     JumpZ=380.000000            // 340
     LadderSpeed=280.000000      // 200
     
     AirControl=0.800000         // .35
     WalkingPct=0.640000         // .4
     CrouchedPct=0.580000        // .5
     
     DodgeSpeedFactor=0.000000   // 1.5
     DodgeSpeedZ=0.000000        // 210

     bCanDoubleJump=False
     MultiJumpRemaining=0
     MaxMultiJump=0

     bCanWallDodge=False
     bCanDodgeDoubleJump=False
}
