/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

Notes:
- Team 0 = Red
- Team 1 = Blue

--- --- --- */

class EoWxASGameInfo extends ASGameInfo;

defaultproperties
{
     GameName="EoW:Assault"
     Acronym="EoAS"
     BeaconName="EoAS"
     MapPrefix="EoAS"
     OtherMesgGroup="EoAS"
     
     GoalScore=64
     bTeamScoreRounds=True
     bScoreTeamKills=False
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Elements of War - Assault"
     
     // HUDType="e2D.e2DxHudAssault"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListBombingRun"
     ScreenShotName="UT2004Thumbnails.ShotEoAS"
     
     DefaultPlayerClassName="EoW.EoWxPawn"
     PlayerControllerClassName="EoW.EoWxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=UT2k4Assault.ASTeamAI
     TeamAIType(1)=UT2k4Assault.ASTeamAI
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000
     
     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
}
