/* --- --- ---

Elements of War
- by Curtis Turner <IceIYIaN>

Notes:
- Team 0 = Red
- Team 1 = Blue

--- --- --- */

class e2DxCTF extends xCTFGame;

defaultproperties
{
     GameName="e2D:Capture The Flag"
     Acronym="EoCTF"
     BeaconName="EoCTF"
     MapPrefix="EoCTF"
     OtherMesgGroup="EoCTFGame"
     
     // GoalScore=64
     // bTeamScoreRounds=True
     bScoreTeamKills=False
     bAllowTrans=False
     bDefaultTranslocator=False
     
     Description="Elements of War - Cature the Flag in 2D View"
     
     HUDType="EoW.e2DxHudCTF"
     // ScoreBoardType="XInterface.ScoreBoardTeamDeathMatch"
     // MapListType="XInterface.MapListCaptureTheFlag"
     ScreenShotName="UT2004Thumbnails.ShotEoCTF"
     
     DefaultPlayerClassName="EoW.e2DxPawn"
     PlayerControllerClassName="EoW.e2DxPlayer"
     
     DefaultEnemyRosterClass="xGame.xTeamRoster"
     TeamAIType(0)=Class'UnrealGame.CTFTeamAI'
     TeamAIType(1)=Class'UnrealGame.CTFTeamAI'
     
     bSpawnInTeamArea=True
     SpawnProtectionTime=2.000000
     
     ADR_Kill=000.000000
     ADR_MajorKill=000.000000
     ADR_MinorError=000.000000
     ADR_MinorBonus=000.000000
     ADR_KillTeamMate=000.000000

     ADR_Goal=0.000000
     ADR_Return=0.000000
     ADR_Control=0.000000
}
