class EoWxChaosShieldAttach extends xWeaponAttachment;

var class<xEmitter>     MuzFlashClass;
var xEmitter            MuzFlash;

simulated function Destroyed()
{
    if (MuzFlash != None)
        MuzFlash.Destroy();

    Super.Destroyed();
}

defaultproperties
{
     MuzFlashClass=Class'XEffects.ShockProjMuzFlash3rd'
     
     bHeavy=True // Third Person - Face or Waist
     bRapidFire=False // Third Person - Anim
     bAltRapidFire=False

     Mesh=SkeletalMesh'Weapons.ShockRifle_3rd'
     
     LightType=LT_Steady
     LightEffect=LE_NonIncidence
     LightBrightness=150.000000
     LightRadius=4.000000
     LightHue=200
     LightSaturation=70
     LightPeriod=3
}
