class EoWxHandsofChaos extends ShockRifle;
// config(user);

#EXEC OBJ LOAD FILE=InterfaceContent.utx

#exec OBJ LOAD FILE=..\Sounds\WeaponSounds.uax
#exec OBJ LOAD FILE=XEffectMat.utx
#exec OBJ LOAD FILE=UT2004Weapons.utx

simulated function DoAutoSwitch()
{
}

defaultproperties
{
     ItemName="Hands of Chaos"
     bMeleeWeapon=False
     bShowChargingBar=False
     bCanThrow=True

     FireModeClass(0)=Class'EoW.EoWxHandsofChaosFire'
     FireModeClass(1)=Class'EoW.EoWxHandsofChaosAltFire'

     Priority=28.000000
     DefaultPriority=28.000000
     InventoryGroup=4 // Melee // Ranged // Spell // Items
     GroupOffset=2 // First is always second(UT2004 Weapons)

     AIRating=63.000000
     CurrentRating=63.000000
     
     HudColor=(B=255,G=255,R=255) // Text
     // What the weapon icon texture is(package/where in actual texture)
     // IconMaterial=Texture'InterfaceContent.HUD.SkinA'
     // IconCoords=(X1=322,Y1=190,X2=444,Y2=280)
     
     SelectSound=Sound'WeaponSounds.Minigun.SwitchToMiniGun'
     SelectForce="SwitchToShockRifle"
     
     PickupClass=Class'EoW.EoWxHandsofChaosPickup'
     SelectAnim="Pickup"
     PutDownAnim="PutDown"
     DisplayFOV=70.000000
     
     AttachmentClass=Class'EoW.EoWxHandsofChaosAttach'
     
     Mesh=SkeletalMesh'Weapons.ShockRifle_1st'
     Skins(0)=Texture'WeaponSkins.Skins.ShockTex0'
     Skins(1)=Texture'WeaponSkins.Skins.ShockTex0'
     Skins(2)=Shader'WeaponSkins.ShockLaser.LaserShader'
     UV2Texture=Shader'XGameShaders.WeaponShaders.WeaponEnvShader'
     
     LightType=LT_Steady
     LightEffect=LE_NonIncidence
     LightBrightness=255.000000
     LightRadius=4.000000
     LightHue=200
     LightSaturation=70
     LightPeriod=3
     
     // Blah
     EffectOffset=(X=65.000000,Y=14.000000,Z=-10.000000)
     SmallViewOffset=(X=11.000000,Y=11.500000,Z=-4.000000)
     CenteredOffsetY=1.000000
     CenteredYaw=-1000
     
     PlayerViewOffset=(X=4.000000,Y=8.000000,Z=-2.000000)
     PlayerViewPivot=(Pitch=-1000)
     BobDamping=1.800000
}
